Commit 1da57c07 authored by Marius Cramer's avatar Marius Cramer

Changed {tmpl_if} to <tmpl_if> - coding guidelines

parent 101ed23c
......@@ -21,12 +21,12 @@
<Directory {tmpl_var name='apps_vhost_dir'}>
Options FollowSymLinks
AllowOverride None
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
</IfModule>
......@@ -38,12 +38,12 @@
AllowOverride AuthConfig Indexes Limit Options FileInfo
AddHandler fcgid-script .php
FCGIWrapper {tmpl_var name='apps_vhost_basedir'}/php-fcgi-scripts/apps/.php-fcgi-starter .php
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
</IfModule>
......
......@@ -8,100 +8,100 @@ CustomLog "| /usr/local/ispconfig/server/scripts/vlogger -s access.log -t \"%Y%m
<Directory /var/www/clients>
AllowOverride None
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all deny
{tmpl_else}
<tmpl_else>
Order Deny,Allow
Deny from all
{/tmpl_if}
</tmpl_if>
</Directory>
# Do not allow access to the root file system of the server for security reasons
<Directory />
AllowOverride None
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all deny
{tmpl_else}
<tmpl_else>
Order Deny,Allow
Deny from all
{/tmpl_if}
</tmpl_if>
</Directory>
<Directory /var/www/conf>
AllowOverride None
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all deny
{tmpl_else}
<tmpl_else>
Order Deny,Allow
Deny from all
{/tmpl_if}
</tmpl_if>
</Directory>
# Except of the following directories that contain website scripts
<Directory /usr/share/phpmyadmin>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
<Directory /usr/share/phpMyAdmin>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
<Directory /usr/share/squirrelmail>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
# Allow access to mailman on OpenSuSE
<Directory /usr/lib/mailman/cgi-bin>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
<Directory /usr/lib/mailman/icons>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
<Directory /var/lib/mailman/archives/>
Options +FollowSymLinks
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
# allow path to awstats and alias for awstats icons
<Directory /usr/share/awstats>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
Alias /awstats-icon "/usr/share/awstats/icon"
......
<Directory {tmpl_var name='web_basedir'}/{tmpl_var name='domain'}>
AllowOverride None
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all deny
{tmpl_else}
<tmpl_else>
Order Deny,Allow
Deny from all
{/tmpl_if}
</tmpl_if>
</Directory>
<tmpl_loop name="vhosts">
......@@ -59,12 +59,12 @@
<Directory {tmpl_var name='web_document_root_www'}>
Options FollowSymLinks
AllowOverride <tmpl_var name='allow_override'>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
<tmpl_if name='ssi' op='==' value='y'>
# ssi enabled
......@@ -74,25 +74,25 @@
</tmpl_if>
<tmpl_if name='php' op='==' value='no'>
<Files ~ '.php[s3-6]{0,1}$'>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all denied
{tmpl_else}
<tmpl_else>
Order allow,deny
Deny from all
Allow from none
{/tmpl_if}
</tmpl_if>
</Files>
</tmpl_if>
</Directory>
<Directory {tmpl_var name='web_document_root'}>
Options FollowSymLinks
AllowOverride <tmpl_var name='allow_override'>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
<tmpl_if name='ssi' op='==' value='y'>
# ssi enabled
......@@ -102,13 +102,13 @@
</tmpl_if>
<tmpl_if name='php' op='==' value='no'>
<Files ~ '.php[s3-6]{0,1}$'>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all denied
{tmpl_else}
<tmpl_else>
Order allow,deny
Deny from all
Allow from none
{/tmpl_if}
</tmpl_if>
</Files>
</tmpl_if>
</Directory>
......@@ -161,12 +161,12 @@
<tmpl_if name='cgi' op='==' value='y'>
# cgi enabled
<Directory {tmpl_var name='document_root'}/cgi-bin>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
ScriptAlias /cgi-bin/ <tmpl_var name='document_root'>/cgi-bin/
AddHandler cgi-script .cgi
......@@ -213,12 +213,12 @@
Action php5-cgi /php5-cgi
AddHandler php5-cgi .php .php3 .php4 .php5
<Directory {tmpl_var name='cgi_starter_path'}>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
</tmpl_if>
<tmpl_if name='php' op='==' value='fast-cgi'>
......@@ -252,35 +252,35 @@
FCGIWrapper <tmpl_var name='fastcgi_starter_path'><tmpl_var name='fastcgi_starter_script'> .php
Options +ExecCGI
AllowOverride <tmpl_var name='allow_override'>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
<Directory {tmpl_var name='web_document_root'}>
AddHandler fcgid-script .php .php3 .php4 .php5
FCGIWrapper <tmpl_var name='fastcgi_starter_path'><tmpl_var name='fastcgi_starter_script'> .php
Options +ExecCGI
AllowOverride <tmpl_var name='allow_override'>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
</tmpl_if>
<tmpl_if name='php' op='==' value='php-fpm'>
<IfModule mod_fastcgi.c>
<Directory {tmpl_var name='document_root'}/cgi-bin>
{tmpl_if name='apache_version' op='>' value='2.2' format='version'}
<tmpl_if name='apache_version' op='>' value='2.2' format='version'>
Require all granted
{tmpl_else}
<tmpl_else>
Order allow,deny
Allow from all
{/tmpl_if}
</tmpl_if>
</Directory>
AddHandler php5-fcgi .php
Action php5-fcgi /php5-fcgi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment